from sqlalchemy import Column, ForeignKey
from sqlalchemy.dialects.mysql import INTEGER
from sqlalchemy.orm import relationship
from .base_model import Base

class UserPreferences(Base):
    __tablename__ = 'user_preferences'

    user_id = Column(INTEGER(unsigned=True), ForeignKey('user.id'), primary_key=True)

    user = relationship("User", back_populates="preferences")